NSX API Guide
Copyright © 2014-2025 VMware, Inc. All rights reserved. Copyright and trademark information.
NSX API Guide
NSX 9.0.1
Table of Contents
- Overview
- API Methods
- API Usage
- Federation
- Management Plane API
- NSX Application Platform
-
Policy
- Feature Flag
- Infra
- Inventory
- Limit
- Monitoring
- Multi Tenancy
-
Networking
-
Connectivity
- Routing
- Segments
- Tier-0 Gateways
- Tier-1 Gateways
- Transport Zones
- IP Management
- Network Services
- Networking Profiles
-
Connectivity
- Sandboxing
- Security
- Transit Gateway
- Transit Gateway Connections
- VPC
- Search
-
System Administration
-
Configuration
- Auto-Enable-Gateway-Firewall
- Auto-Reject-Ip-Options-Gateway-Firewall
- Avi Load Balancer
- Directory Service
-
Fabric
- Associations
- Cloud Native Service Instances
- Compute Collections
- Compute Managers
- Edge Clusters
-
Nodes
- Certificates
- Cluster Control Planes
- DNS
- Discovered Nodes
- Fabric Nodes
- File Store
- Hardening
- LLDP
- Logs
- NSX Edge
-
NSX Manager
- Management Plane
- Manager Configuration
- Manager Network Interfaces
-
Services
- Async Replicator Service
- Cluster Manager Service
- Cm Inventory Service
- Controller Service
- Corfu Nonconfig Server
- Corfu Server
- Dispatcher Service
- HTTP Service
- Idps Reporting Service
- Install Upgrade Service
- Local-Controller Service
- Manager Service
- Messaging Manager Service
- Metadata Proxy Service
- Migration Coordinator Service
- Monitoring Service
- NSX Control Plane Agent Service
- Node Stats Service
- Policy Service
- Search Service
- Sha Service
- Site Manager Service
- Telemetry Service
- User Interface Service
- Network Interfaces
- Physical Servers
- Services
- Settings
- Support-Bundle
- Transport Node Collections
- Transport Node Interfaces
- Transport Node Status
- Transport Node Tunnels
- Transport Nodes
- User Management
- Pool Management
- Profiles
- Transport Zones
- Global Configurations
- Grub
- NSX Intelligence
- NSX Managers
- NSX Partial Patch
- Nodes
- Site Management
- System Properties
- Lifecycle Management
- Malware Prevention
- Monitoring
- NSX Component Administration
- Service Insertion
- Settings
-
Configuration
- Uncategorized APIs
- API Types
- API Type Schemas
- API Errors
- Deprecated Types and Methods
Overview
Introduction
NSX provides a programmatic API to automate management activities. The API follows a resource-oriented Representational State Transfer (REST) architecture, using JSON object encoding. Clients interact with the API using RESTful web service calls over the HTTPS protocol.
Each API method is identified by a request method and URI. Method parameters are specified as key-value pairs appended to the URI. Unless otherwise noted, request and response bodies are encoded using JSON, and must conform to the JSON schema associated with each method. The content type of each request and reply is "application/json" unless otherwise specified. Each request that can be made is documented in the API Methods section. The associated request and response body schemas are documented in the API Schemas section.
If you provide URL-encoded UTF-8 characters in the URL of your API request, you must include the header "Content-Type:charset=UTF-8" in your request.
API Data Types and Allowed Ranges
The NSX API uses JSON to represent API request and response payloads, and uses JSONSchema to describe the schema of these payloads. The data types are:
string: a sequence of UTF-8 characters. If a particular string property has a maximum length, it is represented in the documentation with a maxLength property.
integer: a signed 64-bit value. Unless a minimum or maximum value is shown in the documentation, integer values may take on values in the range -9,223,372,036,854,775,808 to 9,223,372,036,854,775,807.
unsigned_integer: an unsigned 64-bit value. Unless a minimum or maximum value is shown in the documentation, integer values may take on values in the range 0 to 9,223,372,036,854,775,807.
int: a signed 32-bit value. Unless a minimum or maximum value is shown in the documentation, int values may take on values in the range -2,147,483,648 to 2,147,483,647.
number: a 64-bit floating point number. Unless a minimum or maximum value is shown in the documentation, number values may take on values in the range 4.9406564584124654 x 10-324 to 1.7976931348623157 x 10308.
boolean: the values true or false. Do not use quotes when sending boolean values in payloads.
object: a nested JSON object.
array: an array of one of the above types.
Formats
Some API types have a required format, and payloads that do not conform to the required format will be rejected. If a property has a required format, it is listed in the "Notes" section in this API Guide. The following formats are used in NSX:
ipv4: Must be a valid Internet Protocol version 4 address, in dotted-quad notation. For example, "192.168.1.232".
ipv6: Must be a valid Internet Protocol version 6 address, as described in RFC 1924. For example, "2001:0db8:85a3:0000:0000:8a2e:0370:7334". Abbreviations are supported.
ip: Either an ipv4 or ipv6 address.
hostname: An internet hostname, as described in RFC 1123. For example, "example.com"
ipv4-cidr-block: An ipv4 Classless Inter-Domain Routing (CIDR) block, expressed as a base ipv4 address, a slash, and the number of bits in the subnet mask. For example, "10.1.0.1/24".
ipv6-cidr-block: An ipv6 Classless Inter-Domain Routing (CIDR) block, expressed as a base ipv6 address, a slash, and the number of bits in the subnet mask. For example, "2001:db8::/32".
ip-cidr-block: Either an ipv4-cidr-block or an ip-v6-cidr-block.
ipv4-address-range: A range of ipv4 addresses, expressed as a lower-bound ipv4 address, a dash, and an upper-bound ipv4 address. For example, "192.168.1.0-192.168.1.255"
ipv6-address-range: A range of ipv6 addresses, expressed as a lower-bound ipv6 address, a dash, and an upper-bound ipv6 address. For example, "fe80::0202:b3ff:fe1e:8329-fe80::0202:b3ff:fe1e:832a"
address-or-block-or-range: Either an ip address, an ip-cidr-block, an ipv4-address-range, or an ipv6-address-range.
port-or-range: A port number (an integer in the range 0 to 65535) or a range of port numbers, expressed as a lower and upper port number, separated by a dash. Examples: "80" or "997-1023".
hostname-or-ip: Either a hostname or an ip address.
hostname-or-ipv4: Either a hostname or an ipv4 address.
list-of-address-or-block-or-range: A comma-separated list address-or-block-or-range.
mac-address: A Media Access Control (MAC) address. MAC addresses are six hexadecimal numbers, separated by either colons ":" or dashes "-". Case is not significant. Examples: "20:f3:75:5e:47:f0" or "20-F3-75-5E-47-F0".
Request Failures
It is possible for any request to fail. Errors are reported using standard HTTP response codes. It should be assumed the following errors could be returned by any API method: 301 Moved Permanently, 307 Temporary Redirect, 400 Bad Request, 401 Unauthorized, 403 Forbidden, 412 Precondition Failed, 429 Too Many Requests, 500 Internal Server Error, 503 Service Unavailable. Where other errors may be returned, the type of error is indicated in the API method description. All errors are documented in the API Errors section. API requests may fail due to concurrent updates, where an API request collides with another API request, and NSX cannot reconcile the two operations. In that case, the client must re-fetch the resource, apply the changes, and re-submit the operation.
Request Authentication
Most API calls require authentication. This API supports several different authentication schemes, which are documented in this section. Multiple authentication schemes may not be used concurrently.
HTTP Basic Authentication
To authenticate a request using HTTP Basic authentication, the caller's credentials are passed using the 'Authorization' header. The header content should consist of a base64-encoded string containing the username and password separated by a single colon (":") character, as specified in RFC 1945 section 11.1.
For example, to authenticate a request using the credentials of user admin with password admin, include the following header with the request:
The following cURL command will authenticate to the manager using basic authentication and will issue a GET request for logical ports:
where:
USERNAME is the user to authenticate as,
PASSWORD is the password to provide, and
MANAGER is the IP address or host name of the NSX manager
For example:
Note: the -k argument instructs cURL to skip verifying the manager's self-signed X.509 certificate. It is more secure to verify that the server's certificate is signed by a Certificate Authority (CA) that you trust. To do that, omit the -k argument and use the --cacert <ca-file> option, where <ca-file> is a PEM-formatted file containing the CA certificate to trust.
For example:
Additional cURL examples below use the -k flag, but you can always substitute the --rootca <ca-file> argument for additional security.
In the above examples, USERNAME may be:
- A local user name. For example, "admin".
- A remote user name, of the form "user@domain", for example, "[email protected]". The domain must match a domain for a configured VIDM identity source or a configured LDAP identity source.
Session-Based Authentication
Session-based authentication is used by calling the /api/session/create authentication API to manage a session cookie. The session cookie returned in the result of a successful login must be provided in subsequent requests in order to associate those requests with the session.
Session state is local to the server responding to the API request. Idle sessions will automatically time-out, or can be terminated immediately using the POST /api/session/destroy API.
To obtain a session cookie, POST form data to the server using the application/x-ww-form-urlencoded media type, with fields "j_username" and "j_password" containing the username and password separated by an ampersand. Since an ampersand is a UNIX shell metacharacter, you may need to surround the argument with single quotes.
If the user is a remote user, append "@domain" to the username, for example, "[email protected]". The domain must match a domain for a configured VIDM identity source or a configured LDAP identity source.
The following cURL command will authenticate to the server, will deposit the session cookie in the file "cookies.txt", and will write all HTTP response headers to the file headers.txt. One of these headers is the X-XSRF-TOKEN header that you will need to provide in subsequent requests.
For example:
The manager will respond with the roles and permissions granted to the user, and cURL will deposit the session cookie into the file "cookies.txt".
In subsequent cURL requests, use the -b argument to specify the cookie file. You also need to pass the X-XSRF-TOKEN header that was saved to the headers.txt file, using cURL's -H option:
When the session expires, the manager will respond with a 403 Forbidden HTTP response, at which point you must obtain a new session cookie and X-XSRF-TOKEN.
Session cookies can be destroyed by using the /api/session/destroy API:
Authentication using an X.509 certificate and a Principal Identity
NSX supports using an X.509 client certificate for authentication. The certificate is associated with a principal identity (a short name, similar to a username), and that principal identity can be bound to an NSX role. This is useful for automated processes or scripts that perform NSX API calls, and has the advantage that a user password does not need to be stored with the script.
For information on how to import a certificate and set up a principal identity, see the section "Add a Role Assignment or Principal Identity" in the NSX Administration Guide.
To use the client certificate to authenticate, your client must have access to the certificate and its associated private key. How to specify client authentication depends on the client you are using. For example, with curl, you use the --key argument to give the filename containing the private key and the --cert argument to give the filename containg the public certificate.
Authentication in VMware Cloud on AWS (VMC)
To make API calls to an NSX Manager in the VMware Cloud on AWS service (VMC), you need to gather a few pieces of information:
- Your VMC Organization ID
- Your Software Defined Data Center (SDDC) ID
- Your API token
All of this information is available in the VMC web console, https://console.cloud.vmware.com
In VMC, you always exchange your API token for a limited-duration authentication token, which you then pass in a header with your API calls. This authentication token is valid for 30 minutes. After that time, you must obtain a new authentication token using your API token. If you use an expired authentication token, the API call will be rejected.
To obtain an authentication token, you issue a POST request to the URL https://console.cloud.vmware.com/csp/gateway/am/api/auth/api-tokens/authorize, passing your API token in a form. To do this with cURL:
For example, if your refresh token is aB1jtC5yk2rDL6A1KPxzM0W4D7OeHFUNuXFHZidufYS3fIwn60ZRag0Y9dvX15Qv, the command will be:
You will receive a JSON response with several properties. The "access_token" property contains the token you will need to provide with your API requests. An easy way to parse this token out of the response is to use the "jq" utility. For example:
produces just the access token. You can set an environment variable with the correct authentication header with:
The AUTH_HDR environment variable now contains the authentication header. The token itself will be a long string of characters and digits.
Once you have your authentication token, you need to determine the URL for accessing the NSX manager in your SDDC. To do that, you issue a GET request to the endpoint https://vmc.vmware.com/vmc/api/orgs/<org-id>/sddcs/<sddc-id>, where <org-id> is your organization's ID and <sddc-id> is your SDDC's ID. The URL of the NSX manager will be in the resource_config.nsx_api_public_endpoint_url property. For example, if your organizations's ID is a003c3a5-3f68-4a8c-a74f-f79a0625da17 and your SDDC is 449369c7-7936-4f7f-b46e-624cdb2a0a99:
The output will look like:
This is the URL you should use to access your NSX manager from the internet. Append the particular API's URL to this base URL. For example, to list all domains, the API is "/policy/api/v1/infra/domains", so the full request will look like the following:
API Pagination
When responding to operations that return a ListResult type, NSX may limit the number of results returned. By default, the limit is 1000 results, but some APIs with large result payloads may return fewer results, even if a large number of results is requested by the client. Clients must be prepared to handle paginated results.
NSX indicates that it has returned fewer than the total number of results by including a "cursor" property in the response to the list operation. For example:
"results" : [
.... 1000 results omitted for clarity
],
"result_count" : 1322,
"sort_by" : "display_name",
"sort_ascending" : true,
"cursor" : "28de76e5-c7c2-4fa0-9a3e-0be891818d35"
}
The response indicates that there are a total of 1,322 results, but not all results are present in this response.
To get the next page of results, repeat the same list operation, but pass the returned cursor value. For example:
The response will return the next page of results. If there are more pages of results, the response will include a new cursor which can be used to get the next page of results. If this is the last page, then no cursor will be returned, as show below.
{
"results" : [
.... 322 results omitted for clarity
],
"sort_by" : "display_name",
"sort_ascending" : true,
}
The format of the "cursor" property is not meaningful to the client, and the client should not attempt to interpret the cursor's value. The format of the cursor may be different, depending on which API is called.
Example Requests and Responses
Example requests and responses are provided for most of the API calls below. Your actual response might differ from the example in the number of fields returned because optional empty fields are not returned when you make an API call.
Restrictions on Certain Fields in a Request
When configuring layer 2 switching, the following fields can contain any character except semicolon (;), vertical bar (|), equal sign (=), comma (,), tilde (~), and the "at" sign (@). They also have a length limitation as specified below:
- Logical switch display name. Maximum length: 80 bytes.
- Host switch name in TransportZone. Maximum length: 80 bytes.
- Uplink name in UplinkHostSwitchProfile. Maximum length: 47 bytes.
Collection List Pagination
A call to the NSX API may return many thousands of results when the system is operating at scale. In such scenarios, the system performs pagination of response objects. All queries to the API must be capable of handling ListResults objects that contain partial results. Pagination in API works as follows:
The API will respond with a ListResult object that has at most page_size results. Note, that the client must always be ready to handle a paginated result, even if the client did not specify page_size.
The default page size is 1000. In case the result size exceeds the page size, the first page will be returned. You need to retrieve the remaining with cursor.
When doing an API call against the NSX-T API, there are a variety of objects which have limits on the number of returned items allowed. The limits themselves are different depending on the objects.
The way you can tell if pagination is being activated is by looking for an attribute called 'cursor'. For example, here is the end of a call for all firewall rule sections:
End of the results:
So, looking at our result attributes we can see the overall result count is 1448 and we can tell pagination was activated, because we have a 'cursor' attribute. If you have a 'cursor' attribute returned in your overall results, pagination is activating and truncating those results. You need to retrieve the remaining with cursor.
You pass the cursor attribute in standard URL options with the value specified to the exact same call until you no longer have a cursor attribute returned, for example:
which will return the 2nd page of results.
Optimistic Concurrency Control and the _revision property
Overview
In order to prevent one client from overwriting another client's updates, NSX employs a technique called optimistic concurrency control.
All REST payloads contain a property named "_revision". This is an integer that is incremented each time an existing resource is updated. Clients must provide this property in PUT requests and it must match the current _revision or the update will be rejected. This guards against the following situation:
Client 1 reads resource A.
Client 2 reads resource A.
Client 1 replaces the display_name property of resource A and does a PUT to replace the resource.
Client 2 replaces is different property of resource A and attempts to perform a PUT operation.
Without optimistic concurrency control, Client 2's update would overwrite Client 1's update to the display_name property. Instead, Client 2 receives a 409 Conflict error. To recover, Client 2 must fetch the resource again, apply the change, and perform a PUT.
Exceptions for /policy APIs
APIs whose URI begins with /policy have slightly different behavior. For those APIs, the _revision property must not be set when PUT is used to create a new resource. Once the resource is created, however, the _revision property must be provided with PUT operations.
PATCH and _revision for /policy APIs
APIs whose URI begins with /policy support the PATCH operation. Those APIs do not require that the _revision property be provided. A client can, however, request that the _revision property be checked when it is performing a PATCH in the /infra path. To do this, the client should pass the query parameter enforce_revision_check, e.g. PATCH /infra?enforce_revision_check=true.
Partial PATCH
Partial patching of objects is a feature supported by NSX that allows patching a subset of properties of any object. This behavior needs to be explicitly activated. When partial patching is disabled (default behavior), the entire payload of object is expected to be provided in both PUT and PATCH operations for the /policy APIs.
In order to perform partial patching of existing objects using PATCH operation, partial patching should be activated using either one of the following approach:
- System-wide partial patch configuration
Partial patch can be activated/deactivated in the system by using the Partial Patch Config api (i.e. PATCH /policy/api/v1/system-config/nsx-partial-patch-config) with sample request payload.
{ "enable_partial_patch": "true" }Default is 'false'.
Note: If the API request header has 'nsx-enable-partial-patch' parameter, then the header takes precedence over this system-wide configuration. - Header parameter (request level configuration)
Partial patch can also be activated/deactivated using API request header parameter. This will override the system-wide configuration for a particular request.
To activate partial patch, use 'nsx-enable-partial-patch=true'
To deactivate partial patch, use 'nsx-enable-partial-patch=false'
If this parameter is not passed in header, the system level configuration will be considered for Partial Patch operation. This header parameter will be considered only for PATCH requests. For other requests (e.g. PUT, POST etc.), this header parameter will be ignored.
Some important considerations/notes on Partial Patch:
- Array properties will be replaced entirely in partial patch.
- If PATCH api is executed on a non-existing object, a new object will be created after performing all applicable validations.
- There are cases where properties of an object are inter-dependent on each other e.g. username and password, IP address and thumbprint etc. In such cases, the partial patch request expects all such inter-dependent fields to be provided (either all or none).
- Partial patch is not supported for 'Infra' object.
- Certain types like Labels, Security Policies (for the 'rules' attribute) and Services have special
handling for certain attributes in PATCH request. This behavior will not be overridden by Partial Patch.
For instance, specifying rules on Security policies as a part of the PATCH invocation merges the specified rules with the existing rules. For full replacement of rules, PUT operation needs to be performed on the Security Policy. - Partial patch will not work for properties accepting polymorphic types if the specified value has a type that is different from that of the existing value.
PUT Operations
NSX conforms to REST and HTTP standards regarding the operation of PUT operations. A PUT is always a full replace of a resource, and if any properties are omitted from the payload, those properties will be reset to default values. It is suggested that API clients retrieve the existing resource, apply any desired changes to the copy of the resource, and PUT the entire modified resource.
API Rate Limiting
The NSX API service has three settings that control the rate of incoming API requests:
1) A per-client rate limit, in requests per second. If a client makes more requests than this limit in one second, the API server will refuse to service the API request and will return an HTTP 429 Too Many Requests Error. By default, this limit is 100 requests per second.
2) A per-client concurrency limit. This is the maximum number of outstanding requests that a client can have. For example, a client can open multiple connections to NSX and submit operations on each connection. When this limit is exceeded, the server returns a 503 Server Unavailable error to the client. By default, this limit is 40 concurrent requests.
3) An overall maximum number of concurrent requests. This is the maximum number of API requests that can be in process on the server. If the server is at this limit, additional requests will be refused and the HTTP error 503 Service Unavailable will be returned to the client. By default, this limit is 199 concurrent requests.
The first two limits exist to provide some level of fairness across multiple clients of NSX, and are intended to prevent one greedy client from preventing other clients from making API requests.
The last limit is the server's way of protecting itself against an unintentional (or intentional) denial of service attack.
While it is possible to configure these rate limits using the /api/v1/node/services/http API, it is not recommended. Instead, you should design your API client to gracefully deal with situations where limits are exceeded.
Designing API client code to work gracefully with rate limits
One approach is to build in throttling into the client code so that it never sends more than 100 requests in a given second and that it never has more than 40 concurrent requests in flight.
However, there isn't any way to ensure that the overall concurrency limits are never hit. That is because there may be other clients calling APIs, driving up the load on the server. API clients need to check for the HTTP error 503 Service Unavailable. In the event a 503 error is received, the simplest strategy is to insert a delay, possibly with an exponential backoff in the event that server load is high.
There are open-source libraries than can help you implement this retry/backoff behavior, such as Google's Retry helper in its Python google-api-core library. For an example of using this library with the NSX APIs, see https://github.com/vmware-samples/nsx-t/blob/master/python/basics/rate-limits.py
OpenAPI Specification of NSX APIs
You can download OpenAPI specifications for the various NSX APIs at the following URLs:
NSX Manager API:
APIs for NSX administration; node and cluster management APIs and
fabric management APIs for on-premise customers.
- GET https://<nsx-mgr>/api/v1/spec/openapi/nsx_api.yaml
- GET https://<nsx-mgr>/api/v1/spec/openapi/nsx_api.json
APIs for managing logical networking in NSX for on-premise customers.
- GET https://<nsx-mgr>/api/v1/spec/openapi/nsx_policy_api.yaml
- GET https://<nsx-mgr>/api/v1/spec/openapi/nsx_policy_api.json
APIs for managing logical networking in NSX for VMware Cloud customers.
- GET https://<nsx-mgr>/api/v1/spec/openapi/nsx_vmc_policy_api.yaml
- GET https://<nsx-mgr>/api/v1/spec/openapi/nsx_vmc_policy_api.json
APIs for managing AWS underlay networking for VMware Cloud customers.
- GET https://<nsx-mgr>/api/v1/spec/openapi/nsx_vmc_aws_integration_api.yaml
- GET https://<nsx-mgr>/api/v1/spec/openapi/nsx_vmc_aws_integration_api.json
API Usage
API Usage: User Authentication
Authenticate and create a session
Authenticates using the given username and password. If successful, the HTTP response headers will contain a Set-Cookie header and an X-XSRF-TOKEN header. Both of these headers should be sent with subsequent API requests. Request:Example Request: POST /api/session/create Content-Type: application/x-www-form-urlencoded j_username=admin&j_password=my-password Successful Response:
Example Response: set-cookie: JSESSIONID=57021338F5FDB766121F51BB5E1B82C3; Path=/; Secure; HttpOnly; SameSite=Lax x-xsrf-token: 8bf06253-c246-4e4b-a379-f218dd0a193c 200 OK Required Permissions: Feature: none Additional Errors:
Destroy an authenticated session
Unauthenticates and makes the provided session cookie invalid. The set-cookie and x-xsrf-token headers obtained from an earlier call to /api/session/create should be provided in the HTTP headers of this request. Request:Example Request: POST /api/session/destroy set-cookie: JSESSIONID=57021338F5FDB766121F51BB5E1B82C3; Path=/; Secure; HttpOnly; SameSite=Lax x-xsrf-token: 8bf06253-c246-4e4b-a379-f218dd0a193c Successful Response:
Example Response: 200 OK Required Permissions: Feature: none Additional Errors:
Federation
Federation: Federation Configuration
Read federation config
Read a federation config from Global Manager. This API is only available when using VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/global-infra/federation-config GET https://<global-mgr>/global-manager/api/v1/global-infra/federation-config Successful Response:
Example Response: { "site_config" : [ { "site_id": "59ee0369-3d2b-4b2a-9221-594344f6ca4c", "rtep_ips": [ "10.192.201.163", "10.192.201.164" ], "site_index": 1, "site_path": "/global-infra/sites/paris" } ] } Required Permissions: Feature: site_admin Additional Errors:
Read Global Manager config along with sensitive data
Read a Global Manager config along with sensitive data.For example - rtep_config.ibgp_password
Request:
Example Request: GET https://<pglobal-mgr>/global-manager/api/v1/global-infra/global-manager-config?action=show-sensitive-data GET https://<policy-mgr>/policy/api/v1/global-infra/global-manager-config?action=show-sensitive-data Successful Response:
Example Response: { "resource_type": "GlobalManagerConfig", "rtep_config" : { "ibgp_password": "secureme" }, "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 1 } Required Permissions: Feature: site_admin Additional Errors:
Federation: Full Synchronization
Performs realized object actions specified in the action.
Performs realized object actions specified in the action. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: POST https://<policy-mgr>/policy/api/v1/infra/full-sync-action?action=request_full_sync POST https://policy.nsx.vmware.com/global-manager/api/v1/orgs/256d811c-168c-41b6-9c5c-e1672a84dcb7/projects/default--nsx-dev-test/infra/full-sync-action?action=request_notifications_full_sync&site=site1 Successful Response:
Example Response: { "fullsync_action_response": "requested full sync", } Required Permissions: Feature: site_admin Additional Errors:
List full sync states
List full sync state. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/full-sync-states Successful Response:
Example Response: { "result_count" : 1, "results" : [ "resource_type": "FullSyncState", "id": "1234", "full_sync_id": "1234", "last_completed_stage": "PROCESSED_DELTAS", "path": "/infra/fullsync-states/1234", "parent_path": "/infra", "relative_path": "1234", "_create_user": "SYSTEM", "_create_time": 1517262573524, "_last_modified_user": "SYSTEM", "_last_modified_time": 1517262573524, "_system_owned": true, "_revision": 2 ] } Required Permissions: Feature: site_admin Additional Errors:
Get full sync state
Get full sync state. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/full-sync-states/1234 Successful Response:
Example Response: { "resource_type": "FullSyncState", "id": "1234", "full_sync_id": "1234", "last_completed_stage": "PROCESSED_DELTAS", "path": "/infra/fullsync-states/1234", "parent_path": "/infra", "relative_path": "1234", "_create_user": "SYSTEM", "_create_time": 1517262573524, "_last_modified_user": "SYSTEM", "_last_modified_time": 1517262573524, "_system_owned": true, "_revision": 2 } Required Permissions: Feature: site_admin Additional Errors:
Federation: Global Managers
List Global Managers
List Global Managers under Infra.This API is only available when using VMware NSX. Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/global-managers Successful Response:
Example Response: { "result_count" : 2, "results" : [ { "resource_type": "GlobalManager", "id": "london", "gm_id": "aad93dd9-ea71-41d7-be0d-1b1fca616660", "display_name": "London GM", "path": "/infra/global-managers/london", "parent_path": "/infra/global-managers/london", "relative_path": "london", "mode": "ACTIVE", "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 }, { "resource_type": "GlobalManager", "id": "Paris", "gm_id": "dfd93dd9-ea71-41d7-be0d-1b1fca616660", "display_name": "Paris GM", "path": "/infra/global-managers/Paris", "parent_path": "/infra/global-managers/Paris", "relative_path": "Paris", "mode": "STANDBY", "connection_info": [{ "fqdn": "10.190.201.163" }], "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 1 } ] } Required Permissions: Feature: standby_site_admin Additional Errors:
Read a Global Manager
Retrieve information about a particular configured global manager.Global Manager id 'self' is reserved and can be used for referring to local
logged in Global Manager.
Example - /infra/global-managers/self
This API is only available when using VMware NSX. Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/global-managers/london Successful Response:
Example Response: { "resource_type": "GlobalManager", "id": "london", "gm_id": "dfd93dd9-ea71-41d7-be0d-1b1fca616660", "display_name": "London GM", "path": "/infra/global-managers/london", "parent_path": "/infra/global-managers/london", "relative_path": "london", "mode": "ACTIVE", "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } Required Permissions: Feature: standby_site_admin Additional Errors:
Federation: Inter-Sites
- GET /api/v1/edge-clusters/{edge-cluster-id}/inter-site/status
- GET /policy/api/v1/global-infra/segments/{segment-id}/inter-site-forwarder/site-span-info
- GET /policy/api/v1/global-infra/segments/{segment-id}/inter-site-forwarder/statistics
- GET /policy/api/v1/global-infra/segments/{segment-id}/inter-site-forwarder/status (Deprecated)
- GET /policy/api/v1/global-infra/tier-0s/{tier-0-id}/locale-services/{locale-services-id}/inter-site/bgp-summary
- GET /policy/api/v1/global-infra/tier-0s/{tier-0-id}/locale-services/{locale-services-id}/inter-site/status
- GET /policy/api/v1/global-infra/tier-1s/{tier-1-id}/locale-services/{locale-services-id}/inter-site-forwarder/status
- GET /policy/api/v1/global-infra/tier-1s/{tier-1-id}/segments/{segment-id}/inter-site-forwarder/site-span-info
- GET /policy/api/v1/global-infra/tier-1s/{tier-1-id}/segments/{segment-id}/inter-site-forwarder/statistics
- GET /policy/api/v1/global-infra/tier-1s/{tier-1-id}/segments/{segment-id}/inter-site-forwarder/status (Deprecated)
- GET /api/v1/logical-switches/{logical-switch-id}/inter-site-forwarder/site-span-info (Experimental)
- GET /api/v1/logical-switches/{logical-switch-id}/inter-site-forwarder/statistics (Experimental)
- GET /api/v1/logical-switches/{logical-switch-id}/inter-site-forwarder/status (Experimental) (Deprecated)
- GET /api/v1/transport-nodes/{edge-node-id}/inter-site/bgp/neighbors
- GET /api/v1/transport-nodes/{edge-node-id}/inter-site/bgp/neighbors/{neighbor-id}/advertised-routes
- GET /api/v1/transport-nodes/{edge-node-id}/inter-site/bgp/neighbors/{neighbor-id}/routes
- GET /api/v1/transport-nodes/{edge-node-id}/inter-site/bgp/summary (Deprecated)
- GET /api/v1/transport-nodes/{edge-node-id}/inter-site/statistics
Get inter-site status of the edge cluster
Returns the aggregated status for the Edge cluster along with status ofall edge nodes in the cluster. It always returns cached response.
Request:
Example Request: GET https://<nsx-mgr>/api/v1/edge-clusters/875381be-a4c5-4173-8aa7-ab71695a8129/inter-site/status Successful Response:
Example Response: { "edge_cluster_id": "875381be-a4c5-4173-8aa7-ab71695a8129", "edge_cluster_name": "Federation edge cluster", "member_status": [ { "transport_node": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "Edge node 1", "is_valid": true }, "total_bgp_sessions": 2, "established_bgp_sessions": 2, "neighbor_status": [ { "source_address": "192.100.20.10", "neighbor_address": "192.200.20.10", "connection_state": "ESTABLISHED", "remote_site": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true } }, { "source_address": "192.300.20.10", "neighbor_address": "192.400.20.10", "connection_state": "ESTABLISHED", "remote_site": { "target_id": "235c52a2-c960-4005-4512-451dc54fa542", "target_display_name": "PA Site", "is_valid": true } } ] "status": "UP" }, { "transport_node": { "target_id": "77eead22-3bb9-4586-8de3-9412941f9116", "target_display_name": "Edge node 2", "is_valid": true }, "total_bgp_sessions": 1, "established_bgp_sessions": 0, "neighbor_status": [ { "source_address": "192.100.20.10", "neighbor_address": "192.200.20.10", "connection_state": "IDLE", "remote_site": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true } } ] "status": "DOWN" } ], "overall_status": "DEGRADED", "last_update_timestamp": 1457117071089 } Required Permissions: Feature: nodes_edge_clusters Additional Errors:
Get infra segment cross site forwarder placement and HA status
Get infra segment cross site forwarder placement and HA statuss.Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/global-infra/segments/tier0-ls/inter-site-forwarder/site-span-info?enforcement_point_path=/infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/segments/tier0-ls", "remote_macs_per_site": [ { "rtep_group_id": 2001, "remote_site": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true }, "remote_mac_addresses": [ "02:00:17:00:12:D3", "02:00:17:00:13:13" ], "remote_active_ips": [ "10.10.10.1" ], "remote_standby_ips": [ "20.20.20.1" ] } ], "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get infra segment cross site traffic statistics
Get infra segment cross site traffic statistics.Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/global-infra/segments/tier0-ls/inter-site-forwarder/stats?enforcement_point_path=/infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/segments/tier0-ls", "rx": { "total_bytes": 56646, "total_packets": 342, "dropped_packets": 103 }, "tx": { "total_bytes": 1125548, "total_packets": 2235, "dropped_packets": 0 }, "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get infra segment cross site traffic statistics (Deprecated)
Get infra segment cross site traffic statistics.Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/global-infra/segments/tier0-ls/inter-site-forwarder/status?enforcement_point_path=/infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/segments/tier0-ls", "rx": { "total_bytes": 56646, "total_packets": 342, "dropped_packets": 103 }, "tx": { "total_bytes": 1125548, "total_packets": 2235, "dropped_packets": 0 }, "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get RTEP span and mac address-table
Get RTEP span and mac address-table.Request:
Example Request: GET https://policy-mgr/policy/api/v1/global-infra/tier-0s/tier0/locale-services/tier0localeservices/inter-site/bgp-summary Successful Response:
Example Response: { "edge_cluster_path": "/infra/sites/default/enforcement-points/default/edge-clusters/b051d3f9-3ad8-4831-9d67-8ae1cd3f5a1e/edge-nodes/875381be-a4c5-4173-8aa7-ab71695a8129", "edge_nodes": [ { "edge_node_path": "/infra/sites/default/enforcement-points/default/edge-clusters/b051d3f9-3ad8-4831-9d67-8ae1cd3f5a1e/edge-nodes/875381be-a4c5-4173-8aa7-ab71695a8129", "neighbor_status": [ { "source_address": "10.1.1.1", "neighbor_address": "10.1.2.1", "remote_as_number": "1", "remote_port": 179, "local_port": 179, "connection_state": "ESTABLISHED", "time_since_established": 45628, "messages_received": 12, "messages_sent": 10, "connection_drop_count": 0, "established_connection_count": 1, "hold_time": 180, "keep_alive_interval": 30, "graceful_restart": true, "graceful_restart_mode": "HELPER_ONLY", "total_in_prefix_count": 2, "total_out_prefix_count": 1, "address_families": [ { "type": "IPV4_UNICAST", "in_prefix_count": 2, "out_prefix_count": 1 } ], "remote_site": { "target_id": "cfaec4c7-45c2-439b-b7c6-2c3aeabd9976", "target_display_name": "PA Site", "is_valid": true } } ], "last_update_timestamp": 1457117071089 }, { "source_address": "10.1.1.1", "neighbor_address": "10.1.2.1", "remote_as_number": "1", "remote_port": 179, "local_port": 179, "connection_state": "ESTABLISHED", "time_since_established": 45628, "messages_received": 12, "messages_sent": 10, "connection_drop_count": 0, "established_connection_count": 1, "hold_time": 180, "keep_alive_interval": 30, "graceful_restart": true, "graceful_restart_mode": "HELPER_ONLY", "total_in_prefix_count": 2, "total_out_prefix_count": 1, "address_families": [ { "type": "IPV4_UNICAST", "in_prefix_count": 2, "out_prefix_count": 1 } ], "remote_site": { "target_id": "cfaec4c7-45c2-439b-b7c6-2c3aeabd9976", "target_display_name": "PA Site", "is_valid": true } } ], "last_update_timestamp": 1457117071089 } ], } Required Permissions: Feature: policy_connectivity Additional Errors:
Get RTEP mesh connectivity status
Get RTEP mesh connectivity status.Request:
Example Request: GET https://policy-mgr/policy/api/v1/global-infra/tier-0s/tier0/locale-services/tier0localeservices/inter-site/status Successful Response:
Example Response: { "gateway_path": "/global-infra/tier-0s/tier0", "edge_cluster_path": "/global-infra/sites/default/enforcement-points/default/edge-clusters/875381be-a4c5-4173-8aa7-ab71695a8129", "edge_cluster_name": "Federation edge cluster", "member_status": [ { "edge_node": { "edge_node_path": "/global-infra/sites/default/enforcement-points/default/edge-clusters/b051d3f9-3ad8-4831-9d67-8ae1cd3f5a1e/edge-nodes/258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "Edge node 1", "is_valid": true }, "total_bgp_sessions": 2, "established_bgp_sessions": 2, "neighbor_status": [ { "source_address": "192.100.20.10", "neighbor_address": "192.200.20.10", "connection_state": "ESTABLISHED", "remote_site": { "target_edge_node": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true } }, { "source_address": "192.300.20.10", "neighbor_address": "192.400.20.10", "connection_state": "ESTABLISHED", "remote_site": { "target_id": "235c52a2-c960-4005-4512-451dc54fa542", "target_display_name": "PA Site", "is_valid": true } } ] "status": "UP" }, { "edge_node": { "edge_node_path": "/infra/sites/default/enforcement-points/default/edge-clusters/b051d3f9-3ad8-4831-9d67-8ae1cd3f5a1e/edge-nodes/77eead22-3bb9-4586-8de3-9412941f9116", "target_display_name": "Edge node 2", "is_valid": true }, "total_bgp_sessions": 1, "established_bgp_sessions": 0, "neighbor_status": [ { "source_address": "192.100.20.10", "neighbor_address": "192.200.20.10", "connection_state": "IDLE", "remote_site": { "target_edge_node": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true } } ] "status": "DOWN" } ], "overall_status": "DEGRADED", "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_connectivity Additional Errors:
Get inter-site L2 forwarder status for Tier1 gateway
Get inter-site L2 forwarder status for Tier1 gateway.Request:
Example Request: GET https://policy-mgr/policy/api/v1/global-infra/tier-1s/tier1/locale-services/tier1localeservices/inter-site-forwarder/status Successful Response:
Example Response: { } Required Permissions: Feature: policy_connectivity Additional Errors:
Get segment cross site forwarder placement and HA status
Get segment cross site forwarder placement and HA statuss.Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/global-infra/tier-1s/tier1/segments/tier1-ls/inter-site-forwarder/site-span-info?enforcement_point_path=/infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/tier-1s/tier1/segments/tier1-ls", "remote_macs_per_site": [ { "rtep_group_id": 2001, "remote_site": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true }, "remote_mac_addresses": [ "02:00:17:00:12:D3", "02:00:17:00:13:13" ], "remote_active_ips": [ "10.10.10.1" ], "remote_standby_ips": [ "20.20.20.1" ] } ], "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get segment cross site traffic statistics
Get segment cross site traffic statistics.Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/global-infra/tier-1s/tier1/segments/tier1-ls/inter-site-forwarder/stats?enforcement_point_path=/infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/tier-1s/tier1/segments/tier1-ls", "rx": { "total_bytes": 56646, "total_packets": 342, "dropped_packets": 103 }, "tx": { "total_bytes": 1125548, "total_packets": 2235, "dropped_packets": 0 }, "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get segment cross site traffic statistics (Deprecated)
Get segment cross site traffic statistics.Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/global-infra/tier-1s/tier1/segments/tier1-ls/inter-site-forwarder/status?enforcement_point_path=/infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/tier-1s/tier1/segments/tier1-ls", "rx": { "total_bytes": 56646, "total_packets": 342, "dropped_packets": 103 }, "tx": { "total_bytes": 1125548, "total_packets": 2235, "dropped_packets": 0 }, "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get L2 forwarder remote mac addresses (Experimental)
Returns remote mac addresses of the l2 forwarder on logical switch.It always returns realtime response.
Request:
Example Request: GET https://<nsx-mgr>/api/v1/logical-switches/7a62a0c5-1ea1-4b25-9d43-dce1c0fa4b8c/inter-site-forwarder/site-span-info Successful Response:
Example Response: { "logical_switch_id": "7a62a0c5-1ea1-4b25-9d43-dce1c0fa4b8c", "remote_macs_per_site": [ { "rtep_group_id": 2001, "remote_site": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true }, "remote_mac_addresses": [ "02:00:17:00:12:D3", "02:00:17:00:13:13" ], "remote_active_ips": [ "10.10.10.1" ], "remote_standby_ips": [ "20.20.20.1" ] } ], "last_update_timestamp": 1457117071089 } Required Permissions: Feature: aggregation_service_health_monitoring Additional Errors:
Get L2 forwarder statistics (Experimental)
Returns statistics of the l2 forwarder on logical switch.It always returns realtime response.
Request:
Example Request: GET https://<nsx-mgr>/api/v1/logical-switches/7a62a0c5-1ea1-4b25-9d43-dce1c0fa4b8c/inter-site-forwarder/statistics Successful Response:
Example Response: { "logical_switch_id": "7a62a0c5-1ea1-4b25-9d43-dce1c0fa4b8c", "rx": { "total_bytes": 56646, "total_packets": 342, "dropped_packets": 103 }, "tx": { "total_bytes": 1125548, "total_packets": 2235, "dropped_packets": 0 }, "last_update_timestamp": 1457117071089 } Required Permissions: Feature: aggregation_service_health_monitoring Additional Errors:
Get L2 forwarder status (Experimental) (Deprecated)
Returns status per transport node of the l2 forwarder on logical switch.Request:
Example Request: GET https://<nsx-mgr>/api/v1/logical-switches/7a62a0c5-1ea1-4b25-9d43-dce1c0fa4b8c/inter-site-forwarder/status Successful Response:
Example Response: { "logical_switch_id": "7a62a0c5-1ea1-4b25-9d43-dce1c0fa4b8c", "status_per_node": [ { "transport_node": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "Edge node 1", "is_valid": true }, "high_availability_status": "STANDBY" }, { "transport_node": { "target_id": "56eead22-3bb9-4586-8de3-9412941f9116", "target_display_name": "Edge node 2", "is_valid": true }, "high_availability_status": "ACTIVE" } ] "last_update_timestamp": 1457117071089 } Required Permissions: Feature: aggregation_service_health_monitoring Additional Errors:
Paginated list of BGP Neighbors on edge transport node
Paginated list of BGP Neighbors on edge transport node.Request:
Example Request: GET https://<nsx-mgr>/api/v1/transport-nodes/875381be-a4c5-4173-8aa7-ab71695a8129/inter-site/bgp/neighbors Successful Response:
Example Response: { "cursor": "0036640912b0-4820-46f0-b7c2-7a9e2cb57505neighbor2", "result_count": 2, "neighbors": [ { "id": "a9478c1d-d7ab-47c5-9e05-548920f4d88c", "display_name": "neighbor2", "resource_type": "BgpNeighbor", "hold_down_timer": 180, "neighbor_address": "1.1.1.1", "keep_alive_timer": 60, "remote_as_num": "300", "address_families": [ { "type" : "IPV4_UNICAST", "enabled" : true } ], "_last_modified_time": 1433948850593, "_create_time": 1433948850593, "_create_user": "admin", "_last_modified_user": "admin", "_revision": 0 }, { "id": "640912b0-4820-46f0-b7c2-7a9e2cb57505", "display_name": "neighbor1", "resource_type": "BgpNeighbor", "hold_down_timer": 180, "neighbor_address": "2.2.2.2", "keep_alive_timer": 60, "remote_as_num": "200", "address_families": [ { "type" : "IPV4_UNICAST", "enabled" : true, "in_filter_ipprefixlist_id" : "ad879413-dbc3-4952-b77d-28386c3a5363" } ], "_last_modified_time": 1433960878203, "_create_time": 1433949148014, "_create_user": "admin", "_last_modified_user": "admin", "_revision": 4 } ] } Required Permissions: Feature: aggregation_service_health_monitoring Additional Errors:
Get BGP neighbor advertised routes on edge transport node
Returns routes advertised by BGP neighbor from the given edge transport node.It always returns realtime response.
Request:
Example Request: GET https://<nsx-mgr>/api/v1/transport-nodes/875381be-a4c5-4173-8aa7-ab71695a8129/inter-site/bgp/neighbors/f8431964-f400-4da5-8c18-4ce4e6bd5fa5/advertised-routes Successful Response:
Example Response: { "logical_router_id": "4cca3156-bcc0-4c77-9a6a-141cb33a3844", "neighbor_address": "40.40.40.10", "per_transport_node_routes": [{ "transport_node_id": "6c9e2815-ad34-4b9c-bb95-8af87990cf5a", "source_address": "10.10.10.1", "routes": [{ "network": "2.1.4.0/24", "next_hop": "40.40.40.10", "local_pref": 0, "weight": 0, "med": 1, "as_path": 1000 }, { "network": "40.40.40.0/24", "next_hop": "40.40.40.10", "local_pref": 0, "weight": 0, "med": 1, "as_path": 1000 }] }, { "transport_node_id": "7980e91e-ba6d-11e8-9bda-020009ead346", "source_address": "50.50.50.1", "routes": [{ "network": "2.1.4.0/24", "next_hop": "40.40.40.10", "local_pref": 0, "weight": 0, "med": 1, "as_path": 1000 }, { "network": "40.40.40.0/24", "next_hop": "40.40.40.10", "local_pref": 0, "weight": 0, "med": 1, "as_path": 1000 }] }] } Required Permissions: Feature: aggregation_service_health_monitoring Additional Errors:
Get BGP neighbor learned routes on edge transport node
Returns routes learned by BGP neighbor from the given edge transport node.It always returns realtime response.
Request:
Example Request: GET https://<nsx-mgr>/api/v1/transport-nodes/875381be-a4c5-4173-8aa7-ab71695a8129/inter-site/bgp/neighbors/f8431964-f400-4da5-8c18-4ce4e6bd5fa5/routes Successful Response:
Example Response: { "logical_router_id": "4cca3156-bcc0-4c77-9a6a-141cb33a3844", "neighbor_address": "40.40.40.10", "per_transport_node_routes": [{ "transport_node_id": "6c9e2815-ad34-4b9c-bb95-8af87990cf5a", "source_address": "10.10.10.1", "routes": [{ "network": "2.1.4.0/24", "next_hop": "40.40.40.10", "local_pref": 0, "weight": 0, "med": 1, "as_path": 1000 }, { "network": "40.40.40.0/24", "next_hop": "40.40.40.10", "local_pref": 0, "weight": 0, "med": 1, "as_path": 1000 }] }, { "transport_node_id": "7980e91e-ba6d-11e8-9bda-020009ead346", "source_address": "50.50.50.1", "routes": [{ "network": "2.1.4.0/24", "next_hop": "40.40.40.10", "local_pref": 0, "weight": 0, "med": 1, "as_path": 1000 }, { "network": "40.40.40.0/24", "next_hop": "40.40.40.10", "local_pref": 0, "weight": 0, "med": 1, "as_path": 1000 }] }] } Required Permissions: Feature: aggregation_service_health_monitoring Additional Errors:
Get inter-site BGP summary of edge node (Deprecated)
Returns BGP summary for all configured neighbors in tunnel VRFon the given egde node. It always returns realtime response.
Request:
Example Request: GET https://<nsx-mgr>/api/v1/transport-nodes/875381be-a4c5-4173-8aa7-ab71695a8129/inter-site/bgp/summary Successful Response:
Example Response: { "transport_node_id": "875381be-a4c5-4173-8aa7-ab71695a8129", "neighbor_status": [ { "source_address": "10.1.1.1", "neighbor_address": "10.1.2.1", "remote_as_number": "1", "remote_port": 179, "local_port": 179, "connection_state": "ESTABLISHED", "time_since_established": 45628, "messages_received": 12, "messages_sent": 10, "connection_drop_count": 0, "established_connection_count": 1, "hold_time": 180, "keep_alive_interval": 30, "graceful_restart": true, "graceful_restart_mode": "HELPER_ONLY", "total_in_prefix_count": 2, "total_out_prefix_count": 1, "address_families": [ { "type": "IPV4_UNICAST", "in_prefix_count": 2, "out_prefix_count": 1 } ], "remote_site": { "target_id": "cfaec4c7-45c2-439b-b7c6-2c3aeabd9976", "target_display_name": "PA Site", "is_valid": true } } ], "last_update_timestamp": 1457117071089 } Required Permissions: Feature: aggregation_service_health_monitoring Additional Errors:
Get inter-site statistics of edge node
Returns RTEP to RTEP tunnel port statistics of the given edge node.It always returns realtime response.
Request:
Example Request: GET https://<nsx-mgr>/api/v1/transport-nodes/875381be-a4c5-4173-8aa7-ab71695a8129/inter-site/statistics Successful Response:
Example Response: { "transport_node_id": "875381be-a4c5-4173-8aa7-ab71695a8129", "stats_per_site": [ { "remote_site": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true }, "stats_per_tunnel": [ { "tunnel_source_address": "100.10.10.1", "tunnel_destination_address": "200.20.20.1", "rx": { "total_bytes": 1000, "total_packets": 100, "dropped_packets": 20 }, "tx": { "total_bytes": 2000, "total_packets": 300, "dropped_packets": 0 } }, { "tunnel_source_address": "300.30.30.1", "tunnel_destination_address": "400.40.40.1", "rx": { "total_bytes": 1500, "total_packets": 120, "dropped_packets": 50 }, "tx": { "total_bytes": 3000, "total_packets": 320, "dropped_packets": 10 } } ], "rx": { "total_bytes": 2500, "total_packets": 220, "dropped_packets": 70 }, "tx": { "total_bytes": 4500, "total_packets": 440, "dropped_packets": 60 } }, { "remote_site": { "target_id": "cfaec4c7-45c2-439b-b7c6-2c3aeabd9976", "target_display_name": "PA Site", "is_valid": true }, "stats_per_tunnel": [ { "tunnel_source_address": "100.10.10.1", "tunnel_destination_address": "200.20.20.1", "rx": { "total_bytes": 1000, "total_packets": 100, "dropped_packets": 20 }, "tx": { "total_bytes": 2000, "total_packets": 300, "dropped_packets": 0 } } ], "rx": { "total_bytes": 1000, "total_packets": 100, "dropped_packets": 20 }, "tx": { "total_bytes": 2000, "total_packets": 300, "dropped_packets": 0 } } ], "last_update_timestamp": 1457117071089 } Required Permissions: Feature: aggregation_service_health_monitoring Additional Errors:
Federation: Observability
Get monitoring info
Provides federation monitoring information, which includes allconfig flows originating from the site where API is invoked.
Request:
Example Request: GET https://<global-manager>/global-manager/api/v1/observability/flow-details GET https://<local-manager>/policy/api/v1/observability/flow-details Successful Response:
Example Response: On Global Manager { "monitoring_info": [{ "id": "rrrrrr-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"GM_TO_LM", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "gm2lm.transmitter.delta", "namespace": "ar-queues" }, { "max_size": 1000, "current_size": 200, "name": "gm2lm.receiver.delta", "namespace": "ar-queues" }, ], "cross_site_flow_info": { "status": "GOOD", "to_site_id": "36021bd5-9ebc-46e0-9d7a-5a4fa8bb3802", "to_site_path": "/global-infra/sites/Newyork", "from_site_id": "ececa019-3601-47dc-b92e-f21f52b34f6f", "from_site_path": "/global-infra/global-managers/LondonGM", "latency_millis": 123, "latency_measured_ts": 1590336614947, "last_full_sync": { "status": "COMPLETED", "id": "f6fda71a-d5f2-4000-8677-deaafd80641e", "reason_code": "10010", "reason": "Site onboarded", "stage": "COMPLETED", "data_streaming_from_source_progress": "Sending resources of type COMMUNICATION_MAP", "data_streaming_from_source_start_time": 1590335604947, "data_streaming_from_source_end_time": 1590336604947, "receiver_state": "COMPLETED", "receiver_start_time": 1590336614947, "receiver_end_time": 1590336714947, "start_time": 1590335604947, "end_time": 1590435604947, "errors": {}, "warnings": {} } } }, { "id": "asarrr-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"GM_TO_LM", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "gm2lm.transmitter.delta", "namespace": "ar-queues" }, { "max_size": 1000, "current_size": 200, "name": "gm2lm.receiver.delta", "namespace": "ar-queues" }, ], "cross_site_flow_info": { "status": "GOOD", "to_site_id": "aa021bd5-9ebc-46e0-9d7a-5a4fa8bb3111", "to_site_path": "/global-infra/sites/Paris", "from_site_id": "ececa019-3601-47dc-b92e-f21f52b34f6f", "from_site_path": "/global-infra/global-managers/LondonGM", "latency_millis": 123, "latency_measured_ts": 1590336614947, "last_full_sync": { "status": "COMPLETED", "id": "f6fda71a-d5f2-4000-8677-deaafd80641e", "reason_code": "10010", "reason": "Site onboarded", "stage": "COMPLETED", "data_streaming_from_source_progress": "Sending resources of type COMMUNICATION_MAP", "data_streaming_from_source_start_time": 1590335604947, "data_streaming_from_source_end_time": 1590336604947, "receiver_state": "COMPLETED", "receiver_start_time": 1590336614947, "receiver_end_time": 1590336714947, "start_time": 1590335604947, "end_time": 1590435604947, "errors": {}, "warnings": {} } } }, { "id": "rrbbr-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"LM_TO_GM", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "lm2gm.transmitter.delta", "namespace": "ar-queues" }, { "max_size": 1000, "current_size": 200, "name": "lm2gm.receiver.delta", "namespace": "ar-queues" }, ], "cross_site_flow_info": { "status": "GOOD", "to_site_id": "ececa019-3601-47dc-b92e-f21f52b34f6f", "to_site_path": "/global-infra/global-managers/LondonGM", "from_site_id": "aa021bd5-9ebc-46e0-9d7a-5a4fa8bb3111", "from_site_path": "/global-infra/sites/Paris", "latency_millis": 125 } }, { "id": "ca00-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"LM_TO_GM", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "lm2gm.transmitter.delta", "namespace": "ar-queues" }, { "max_size": 1000, "current_size": 200, "name": "lm2gm.receiver.delta", "namespace": "ar-queues" }, ], "cross_site_flow_info": { "status": "GOOD", "to_site_id": "ececa019-3601-47dc-b92e-f21f52b34f6f", "to_site_path": "/global-infra/global-managers/NewyorkGM", "from_site_id": "BB021bd5-9ebc-46e0-9d7a-5a4fa8bb3155", "from_site_path": "/global-infra/sites/Newyork", "latency_millis": 120 "latency_measured_ts": 1590336614947, } }, { "id": "cab10-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"GM_WORK_QUEUE", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "gm-work-queue", "namespace": "gm" } ] }, { "id": "dea0-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"GM_DELETE_QUEUE", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "gm-delete-queue-1", "namespace": "gm" } ] } ] } On Local Manager { "monitoring_info": [ { "id": "we11-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"GM_TO_LM", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "gm2lm.transmitter.delta", "namespace": "ar-queues" }, { "max_size": 1000, "current_size": 200, "name": "gm2lm.receiver.delta", "namespace": "ar-queues" }, ], "cross_site_flow_info": { "status": "GOOD", "to_site_id": "aa021bd5-9ebc-46e0-9d7a-5a4fa8bb3111", "to_site_path": "/global-infra/sites/Paris", "from_site_id": "ececa019-3601-47dc-b92e-f21f52b34f6f", "from_site_path": "/global-infra/global-managers/LondonGM", "latency_millis": 123, "latency_measured_ts": 1590336614947, "last_full_sync": { "status": "COMPLETED", "id": "f6fda71a-d5f2-4000-8677-deaafd80641e", "reason_code": "10010", "reason": "Site onboarded", "stage": "COMPLETED", "data_streaming_from_source_progress": "Sending resources of type COMMUNICATION_MAP", "data_streaming_from_source_start_time": 1590335604947, "data_streaming_from_source_end_time": 1590336604947, "receiver_state": "COMPLETED", "receiver_start_time": 1590336614947, "receiver_end_time": 1590336714947, "start_time": 1590335604947, "end_time": 1590435604947, "errors": {}, "warnings": {} } } }, { "id": "fg12-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"LM_TO_GM", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "lm2gm.transmitter.delta", "namespace": "ar-queues" }, { "max_size": 1000, "current_size": 200, "name": "lm2gm.receiver.delta", "namespace": "ar-queues" }, ], "cross_site_flow_info": { "status": "GOOD", "to_site_id": "ececa019-3601-47dc-b92e-f21f52b34f6f", "to_site_path": "/global-infra/global-managers/LondonGM", "from_site_id": "aa021bd5-9ebc-46e0-9d7a-5a4fa8bb3111", "from_site_path": "/global-infra/sites/Paris", "latency_millis": 125, "latency_measured_ts": 1590336614947, } }, { "id": "ff10-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"LM_TO_LM", "cross_site_flow_info": { "status": "GOOD", "to_site_id": "aa021bd5-9ebc-46e0-9d7a-5a4fa8bb3111", // To NewYork (LM doesn't have site paths) "from_site_id": "ececa019-3601-47dc-b92e-f21f52b34f6f", "latency_millis": 123, "latency_measured_ts": 1590336614947, } } ] } Required Permissions: Feature: site_admin Additional Errors:
Federation: Security: East West Security: Distributed Firewall: Settings
Federation: Security: East West Security: Distributed Firewall: Settings: Distributed Firewall Settings
Get global distributed firewall configuration for the specified site
Get global distributed firewall configuration for the specified site. Request:Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/london/settings/firewall/security Successful Response:
Example Response: { "resource_type": "GlobalDfwConfiguration", "id": "security", "display_name": "security", "path": "/global-infra/sites/london/settings/firewall/security", "relative_path": "security", "marked_for_delete": false, "enable_firewall": true, "_create_user": "system", "_create_time": 1554274751846, "_last_modified_user": "admin", "_last_modified_time": 1554274751846, "_protection": "NOT_PROTECTED", "_revision": 0 } Required Permissions: Feature: policy_security_settings Additional Errors:
Get global distributed firewall configurations for all the sites
Get global distributed firewall configurations for all the sites. Request:Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/settings/firewall/security Successful Response:
Example Response: { "sort_ascending": true, "sort_by": "display_name", "result_count": 1, "results": [ { "resource_type": "GlobalDfwConfiguration", "id": "security", "display_name": "security", "path": "/global-infra/sites/london/settings/firewall/security", "relative_path": "security", "marked_for_delete": false, "enable_firewall": true, "_create_user": "system", "_create_time": 1554274751846, "_last_modified_user": "admin", "_last_modified_time": 1554274751846, "_protection": "NOT_PROTECTED", "_revision": 0 } ] } Required Permissions: Feature: policy_security_settings Additional Errors:
Federation: Sites
- GET /policy/api/v1/infra/site/offboarding-status
- GET /policy/api/v1/infra/sites
- GET /policy/api/v1/global-infra/sites
- DELETE /policy/api/v1/infra/sites/{site-id}
- GET /policy/api/v1/infra/sites/{site-id}
- GET /policy/api/v1/global-infra/sites/{site-id}
- PATCH /policy/api/v1/infra/sites/{site-id}
- PUT /policy/api/v1/infra/sites/{site-id}
- GET /policy/api/v1/infra/sites/listener_certificate
- GET /policy/api/v1/global-infra/sites/listener_certificate
- GET /policy/api/v1/infra/span
- GET /policy/api/v1/global-infra/span
- GET /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/span
Get site offboarding status.
Get site offboarding status. Request:Example Request: GET https://<policy>/policy/api/v1/infra/site/offboarding-status Successful Response:
Example Response: { "resource_type": "SiteOffBoardingState", "status": "INITIALIZE_INPROGRESS", "is_local": true, "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } Required Permissions: Feature: site_admin Additional Errors:
List Sites
List Sites under Infra.Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites Successful Response:
Example Response: { "result_count" : 3, "results" : [ { "resource_type": "Site", "id": "casablanca", "display_name": "Casablanca, Morocco Site", "description" : "Site managing call center workloads in North Africa", "path": "/infra/sites/casablanca", "parent_path": "/infra/sites/casablanca", "relative_path": "casablanca", "site_connection_info": [{ "fqdn": "10.192.201.163" }], "maximum_rtt": 250, "fail_if_rtt_exceeded": true, "fail_if_mismatch_rteps": true "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 }, { "resource_type": "Site", "id": "tokyo", "display_name": "Tokyo, Japan Site", "description" : "Active Site managing production workloads in East Asia", "path": "/infra/sites/tokyo", "parent_path": "/infra/sites/tokyo", "relative_path": "tokyo", "site_connection_info": [{ "fqdn": "10.199.201.163" }], "maximum_rtt": 250, "fail_if_rtt_exceeded": true, "fail_if_mismatch_rteps": true "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 }, { "resource_type": "Site", "id": "paris", "display_name": "Paris, France Site", "description" : "StandBy Site managing business workloads in Central Europe", "path": "/infra/sites/paris", "parent_path": "/infra/sites/paris", "relative_path": "paris", "site_connection_info": [{ "fqdn": "10.190.201.163" }], "maximum_rtt": 250, "fail_if_rtt_exceeded": true, "fail_if_mismatch_rteps": true "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } ] } Required Permissions: Feature: site_admin Additional Errors:
Create or fully replace a Site under infra
Create or fully replace a Site under Infra.Revision is optional for creation and required for update.
Request:
Example Request: PUT https://<policy-mgr>/policy/api/v1/infra/sites/Paris { "site_connection_info": [{ "fqdn": "10.192.201.163", "username": "admin", "password": "Admin!23Admin", "thumbprint": "f53d7052535613b3032a41d555631228cb4d0d8b584a8225b94fbf0ba83eb9a4" }], "maximum_rtt": 250, "fail_if_rtt_exceeded": true, "fail_if_rtep_misconfigured": true "display_name": "Paris, EU Site", "description" : "Site managing call center workloads in western Europe", "_revision" : 1 } Successful Response:
Example Response: { "resource_type": "Site", "id": "Paris", "display_name": "Paris, EU Site", "description" : "Site managing call center workloads in western Europe", "path": "/infra/sites/Paris", "parent_path": "/infra/sites/Paris", "relative_path": "Paris", "site_connection_info": [{ "fqdn": "10.192.201.163" }], "maximum_rtt": 250, "fail_if_rtt_exceeded": true, "fail_if_rtep_misconfigured": true "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } Required Permissions: Feature: site_admin Additional Errors:
Create or patch Site
Create or patch Site under Infra.Request:
Example Request: PATCH https://<policy-mgr>/policy/api/v1/infra/sites/Paris { "site_connection_info": [{ "fqdn": "10.192.201.163", "username": "admin", "password": "Admin!23Admin", "thumbprint": "f53d7052535613b3032a41d555631228cb4d0d8b584a8225b94fbf0ba83eb9a4" }], "maximum_rtt": 250, "fail_if_rtt_exceeded": true, "fail_if_rtep_misconfigured": true "display_name": "Paris, EU Site", "description" : "Site managing call center workloads in western Europe", } Successful Response:
Required Permissions: Feature: site_admin Additional Errors:
Delete a site
Delete a site under Infra.Request:
Example Request: DELETE https://<policy-mgr>/policy/api/v1/infra/sites/Paris Successful Response:
Required Permissions: Feature: site_admin Additional Errors:
Read a site
Read a site under Infra.Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/casablanca Successful Response:
Example Response: { "resource_type": "Site", "id": "casablanca", "display_name": "Casablanca, Morocco Site", "description" : "Site managing call center workloads in North Africa", "path": "/infra/sites/casablanca", "parent_path": "/infra/sites/casablanca", "relative_path": "casablanca", "site_connection_info": [{ "fqdn": "10.192.201.163" }], "maximum_rtt": 250, "fail_if_rtt_exceeded": true, "fail_if_mismatch_rteps": true "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } Required Permissions: Feature: site_admin Additional Errors:
Returns the certificate of the listener
Connects to the given IP and port, and, if an SSL listener is present, returnsthe certificate of the listener.
Intent of this API is "Do you trust this certificate?".
Request:
Example Request: POST https://<policy-mgr>/global-policy/api/v1/infra/sites/listener_certificate?address=10.22.122.7&port=443 Successful Response:
Example Response: { "result": "SUCCESS", "certificate": { "issuer_cn": "vSM Test Certificate", "public_key_length": 1024, "signature": "4e cf ff 36 ac a1", "not_before": 1323772715000, "subject": "1.2.840.113549.1.9.1=#16076140622e636f6d,CN=vSM Test Certificate,OU=vShield,O=VMware,L=Pune,ST=Maharashtra,C=IN", "serial_number": "ca55f5e21a0b2dd2", "public_key_algo": "RSA", "version": "1", "issuer": "1.2.840.113549.1.9.1=#16076140622e636f6d,CN=vSM Test Certificate,OU=vShield,O=VMware,L=Pune,ST=Maharashtra,C=IN", "is_ca": false, "subject_cn": "vSM Test Certificate", "not_after": 1355308715000, "is_valid": false, "rsa_public_key_exponent": "10001", "signature_algorithm": "SHA1WITHRSA", "rsa_public_key_modulus": "00 b7 8f 79 e4" }, "thumbprint": "f53d7052535613b3032a41d555631228cb4d0d8b584a8225b94fbf0ba83eb9a4" } Required Permissions: Feature: site_admin Additional Errors:
Get span for an entity with specified path
Get span for an entity with specified path. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<global-manager>/global-manager/api/v1/global-infra/span?intent_path=/global-infra/tier-0s/t0 Successful Response:
Example Response: { "resource_type": "SPAN", "span_resource_type": "PROVIDER", "span_resource": "/global-infra/tier-0s/t0", "span_leader": "/global-infra/tier-0s/t0", "site_ids": [ "51a1294a-b1d5-40a9-a382-2b1aeb62c41a", "3d497d3f-2f9a-4983-9db0-d1f5f7cbc3d0" ], "marked_for_delete": false, "overridden": false } Required Permissions: Feature: site_admin Additional Errors:
Federation: Sites: Security
Federation: Sites: Security: Setting
This routine will get site security setting
This routine will get site security settingRequest:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/London/security-setting { "air_gapped": true, "resource_type": "SiteSecuritySetting", "id": "security-setting", "display_name": "security-setting", "path": "/global-infra/sites/LM/security-setting", "relative_path": "security-setting", "parent_path": "/global-infra/sites/LM", "unique_id": "ffaca9ae-4a90-4f9f-ba88-4369e02bf3e3", "owner_id": "6c5b2358-5862-49d8-952e-611b8cd32bf1", "marked_for_delete": false, "overridden": false, "_create_time": 1718858458723, "_create_user": "admin", "_last_modified_time": 1718858458723, "_last_modified_user": "admin", "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 0 } Successful Response:
Required Permissions: Feature: policy_security_settings Additional Errors:
Management Plane API
Management Plane API: Associations
Management Plane API: Grouping Objects
Management Plane API: Grouping Objects: IP Sets
Management Plane API: Grouping Objects: MAC Sets
Management Plane API: Grouping Objects: NS Groups
Management Plane API: Grouping Objects: NS Profiles
Management Plane API: Grouping Objects: NS Service Groups
Management Plane API: Grouping Objects: NS Services
Management Plane API: Networking: Logical Bridging
Management Plane API: Networking: Logical Bridging: Bridge Endpoint Profiles
Management Plane API: Networking: Logical Bridging: Bridge Endpoints
Management Plane API: Networking: Logical Routing And Services
Management Plane API: Networking: Logical Routing And Services: BFD Peers
Management Plane API: Networking: Logical Routing And Services: Logical Router Ports
Management Plane API: Networking: Logical Routing And Services: Logical Routers
Management Plane API: Networking: Logical Routing And Services: NAT
Management Plane API: Networking: Logical Routing And Services: Routing BFD Configuration
Management Plane API: Networking: Logical Routing And Services: Routing Configuration
Management Plane API: Networking: Logical Switching
Management Plane API: Networking: Logical Switching: Logical Switch Ports
Management Plane API: Networking: Logical Switching: Logical Switches
Management Plane API: Networking: Services
Management Plane API: Networking: Services: DHCP
Management Plane API: Networking: Services: DHCP Relay
Management Plane API: Networking: Services: DHCP Relay Profiles
Management Plane API: Networking: Services: DNS
Management Plane API: Networking: Services: Loadbalancer
Management Plane API: Networking: Services: Metadata Proxy
Management Plane API: Networking: VPN: IPSEC
Management Plane API: Networking: VPN: IPSEC: DPD Profiles
Management Plane API: Networking: VPN: IPSEC: IKE Profiles
Management Plane API: Networking: VPN: IPSEC: Peer Endpoints
Management Plane API: Networking: VPN: IPSEC: Services
Management Plane API: Networking: VPN: IPSEC: Sessions
Management Plane API: Networking: VPN: IPSEC: Tunnel Profiles
Management Plane API: Networking: VPN: L2VPN
Management Plane API: Networking: VPN: L2VPN: Services
Management Plane API: Networking: VPN: L2VPN: Sessions
Management Plane API: Networking: VPN: Statistics
Management Plane API: Networking: VPN: Statistics: IKE Service
Management Plane API: Networking: VPN: Statistics: IKE Sessions Status
Management Plane API: Networking: VPN: Statistics: IPSEC Reset Sessions Statistics
Management Plane API: Networking: VPN: Statistics: IPSEC Sessions Statistics
Management Plane API: Networking: VPN: Statistics: IPSEC Sessions Summary
Management Plane API: Networking: VPN: Statistics: L2VPN Remote MACS
Management Plane API: Networking: VPN: Statistics: L2VPN Session Statistics
Management Plane API: Networking: VPN: Statistics: L2VPN Session Status
Management Plane API: Networking: VPN: Statistics: L2VPN Sessions Summary
Management Plane API: Normalization
Management Plane API: Security: Identity Firewall
Management Plane API: Security: Identity Firewall: Configuration
Management Plane API: Security: Identity Firewall: Monitoring
Management Plane API: Security: Identity Firewall: Realization Data
Management Plane API: Security: Intrusion Services
Management Plane API: Security: Intrusion Services: Dashboard
Management Plane API: Security: Intrusion Services: IDS Profiles
Management Plane API: Security
Management Plane API: Security: Service Configuration
Management Plane API: Security: Services
Management Plane API: Security: Services: Firewall
Management Plane API: Troubleshooting And Monitoring
Management Plane API: Troubleshooting And Monitoring: IPFIX
Management Plane API: Troubleshooting And Monitoring: Livetrace
Management Plane API: Troubleshooting And Monitoring: Port Connection
Management Plane API: Troubleshooting And Monitoring: Traceflow
NSX Application Platform: Deployment: Bundle
NSX Application Platform: Deployment: Bundle: Status
Get progress status of kubernetes tools bundle upload
Get the progress of uploading kubernetes tools bundle from the remote location.This API will also verify the kubernetes tools bundle, before marking upload as a success.
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/tools/upload/status/22000123456 Successful Response:
Example Response: { "resource_type": "UploadBundleStatus", "port" : 80, "server": "192.168.120.151", "uri" : "/custom/path/container_tools_22000123456.tar.gz", "protocol" : "https" "percent" : 80, "status" : "VERIFYING", "detailed_status": "Checking Signature of the Upgrade Bundle" } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Deployment: Platform
NSX Application Platform: Deployment: Platform: Config
Get NSX Application Platform deployment configuration
Get input parameters required to deploy NSX Application Platform. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/platform Successful Response:
Example Response: { "resource_type": "PlatformDeploymentConfig", "id": "platform-deployment-config", "platform_version" : "2.0", "form_factor" : "advanced", "kubeconfig_info" : { "name": "kubeconfigfile.xyz", "user": "test", "cluster": "cluster1", "namespace" : "nsxi" }, service_config : { "kubectl_tool" : "kubectltool.tgz", "ca_cerficiate": { "public_key": "xxxxxx", "private_key" : "xxxxxx" }, "service_name": "fqdn.of.service", } "parent_path" : "/infra/sites/
Update platform configuration
Update input parameters required to deploy platform related pods.The UI has option to deploy kubernetes tools.
You need to get this file from VMware website.
File contains kubectl binary, helm binary and signature to verify them.
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: PATCH https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/platform { "platform_version" : "2.0", "deployment_action" : "deploy/undeploy/redeploy/update" "form_factor" : "advanced", "kubeconfig_info" : { "name": "kubeconfigfile.xyz", "user": "user1", "current_context": "context1", "namespace": "ns1", "cluster": "cluster1", "expiry": "n days" }, service_config : { "kubectl_tool" : "kubectltool.tgz", "service_name": "fqdn.of.service", } } } Successful Response:
Example Response: { "resource_type": "PlatformDeploymentConfig", "id": "platform-deployment-config", "platform_version" : "2.0", "form_factor" : "advanced", "kubeconfig_info" : { "name": "kubeconfigfile.xyz", "user": "user1", "current_context": "context1", "namespace": "ns1", "cluster": "cluster1", "expiry": "n days" }, service_config : { "kubectl_tool" : "kubectltool.tgz", "service_name": "fqdn.of.service", } "parent_path" : "/infra/sites/
NSX Application Platform: Deployment: Platform: Form Factors
Get available deployment form factors for NSX Application Platform
Get available deployment form factors for NSX Application Platform. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/platform/form-factors Successful Response:
Example Response: { "available_form_factors":{ "standard": { "node": { "cpu": 4, "ram": 16 "disk": "200" }, "supported_features": ["NDR", "Antimalware", "Rule Analysis", "Metrics"] }, "advanced": { "node": { "cpu": 32, "ram": 64 "disk": "1000" }, "supported_features": ["NDR", "Antimalware", "Rule Analysis", "Metrics", "NSX Intelligence"] }, "evaluation": { "node": { "cpu": 32, "ram": 64 "disk": "1000" }, "supported_features": ["NDR", "Antimalware", "Rule Analysis", "Metrics", "NSX-Intelligence"] } } } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Deployment: Platform: Status
- PUT /policy/api/v1/infra/sites/{site-id}/napp/deployment/platform/checks
- GET /policy/api/v1/infra/sites/{site-id}/napp/deployment/platform/checks/execution/required
- GET /policy/api/v1/infra/sites/{site-id}/napp/deployment/platform/checks/status
- GET /policy/api/v1/infra/sites/{site-id}/napp/deployment/platform/status
Run pre/post checks for NSX Application Platform
Run pre/post checks for NSX Application PlatformThis API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: PUT https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/platform/checks Successful Response:
Required Permissions: Feature: policy_napp Additional Errors:
Get NSX Application Platform pre/post checks execution required
Get NSX Application Platform pre/post checks execution required. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/platform/checks/execution/required Successful Response:
Example Response: { "is_required": true } Required Permissions: Feature: policy_napp Additional Errors:
Get NSX Application Platform pre/post checks progress status
Get NSX Application Platform pre/post checks progress status. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/platform/checks/status Successful Response:
Example Response: { "results": [ { "name": "Version Compatibility Precheck", "description": "Check NSX Application Platform version compatibility", "status": "NOT_STARTED" }, { "name": "Kubernetes Cluster Connection Precheck", "description": "Check connectivity between NSX manager and kubernetes cluster", "status": "NOT_STARTED" }, { "name": "Kubernetes Tools Sync Precheck", "description": "Check whether kubernetes tools are compatible and sync with all managers", "status": "NOT_STARTED" }, { "name": "Existing Namespaces Precheck", "description": "Check existing namespaces in kubernetes cluster", "status": "NOT_STARTED" }, { "name": "Service Name/FQDN Validation Precheck", "description": "Check service name/fqdn", "status": "NOT_STARTED" }, { "name": "Kubernetes Cluster DNS Domain Precheck", "description": "Check Kubernetes cluster dns domain", "status": "NOT_STARTED" }, { "name": "Time Synchronization Precheck", "description": "Kubernetes cluster and NSX time sync", "status": "NOT_STARTED" }, { "name": "Kubernetes Cluster Available Resources Precheck", "description": "Check Kubernetes cluster node resources", "status": "NOT_STARTED" } ] } Required Permissions: Feature: policy_napp Additional Errors:
Get platform deployment or undeployment progress status
Get platform deployment or undeployment progress status. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/platform/status Successful Response:
Example Response: { "resource_type": "DeploymentProgressStatus", "overall_status" : "DEPLOYMENT_IN_PROGRESS", "percentage": "10", "progress_message" : "Registering cluster", } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Deployment: Platform: Storageclass
Get list of Kubernetes storage classes
Get the list of Kubernetes storage classes.This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/storage-classes Successful Response:
Example Response: { "name" : [ "local-sc" ] } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Deployment: Platform: Versions
Get NSX Application Platform versions
Get NSX Application Platform versions. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/platform/versions Successful Response:
Example Response: { "versions":[ { "version": "2.0", "chart_name": "platform" } ] } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Deployment
NSX Application Platform: Deployment: Registry
Get helm repo and docker registry url
Get helm repo and docker registry url for chart deployment. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/registry Successful Response:
Example Response: { "resource_type": "DeploymentRegistry", "id": "deployment-registry", "docker_registry": "docker.io", "helm_repository":"https://kubernetes-charts.storage.googleapis.com", "_create_time" : 1524826554351, "_last_modified_user" : "admin", "_system_owned" : false, "_protection" : "NOT_PROTECTED", "_last_modified_time" : 1524826554351, "_create_user" : "admin", "_revision" : 0 } Required Permissions: Feature: policy_napp Additional Errors:
Update Docker registry and helm repository url.
In case of helm chart present in private repository and containersare hosted in private hub. You can change docker and helm url to use these
private URL instead of default public one.
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: PUT https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/registry { "resource_type": "DeploymentRegistry", "description": "Udated Registry urls", "docker_registry": "docker.io", "helm_repository":"https://kubernetes-charts.storage.googleapis.com", "_revision" : 0 } Successful Response:
Example Response: { "resource_type": "DeploymentRegistry", "id": "deployment-registry", "docker_registry": "docker.io", "helm_repository":"https://kubernetes-charts.storage.googleapis.com", "_create_time" : 1524826554351, "_last_modified_user" : "admin", "_system_owned" : false, "_protection" : "NOT_PROTECTED", "_last_modified_time" : 1524826554351, "_create_user" : "admin", "_revision" : 0 } Required Permissions: Feature: policy_napp Additional Errors:
Reset helm and docker url to default one
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: POST https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/registry/reset Successful Response:
Example Response: { "resource_type": "DeploymentRegistry", "id": "deployment-registry", "docker_registry": "docker.io", "helm_repository":"https://kubernetes-charts.storage.googleapis.com", "_create_time" : 1524826554351, "_last_modified_user" : "admin", "_system_owned" : false, "_protection" : "NOT_PROTECTED", "_last_modified_time" : 1524826554351, "_create_user" : "admin", "_revision" : 0 } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Deployment: Tools: Bundle
NSX Application Platform: Deployment: Tools: Bundle: Upload
Upload the Kubernetes tools on NSX Manager via remote URL
Upload the Kubernetes tools on NSX Manager via remote url.You need to get this file from VMware website.
File contains kubectl binary, helm binary and signature to verify them.
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: POST https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/tools/upload_from_remote_server { "port" : 80, "server": "192.168.120.151", "uri" : "/custom/path/container_tools_22000123456.tar.gz", "protocol" : "https" } Successful Response:
Example Response: { "bundle_id" : "22000123456" } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Deployment: Upgrade: Coordinator
NSX Application Platform: Deployment: Upgrade: Coordinator: Check
Run pre/post checks for NSX Application Platform upgrade-coordinator
Run pre/post checks for NSX Application Platform upgrade-coordinator.This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: PUT https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/upgrade-coordinator/checks Successful Response:
Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Deployment: Upgrade: Coordinator: Check: Status
Get NSX Application Platform upgrade-coordinator pre/post checks progress status.
Get NSX Application Platform upgrade-coordinator pre/post checks progress status. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/upgrade-coordinator/checks/status Successful Response:
Example Response: { "resource_type": "DeploymentChecksStatusResult", "result" : [ {"name": "check1", "desc": "...", "status": "SUCCESS", "reason": ""} {"name": "check2", "desc": "...", "status": "FAILED", "reason": "Reason for failure"} ] } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Deployment: Upgrade: Coordinator: Versions
Get NSX Application Platform upgrade-coordinator versions
Get NSX Application Platform upgrade-coordinator versions. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/upgrade-coordinator/versions Successful Response:
Example Response: { "versions":[ { "version": "2.0", "chart_name": "platform" } ] } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform
NSX Application Platform: Kubeconfig
Upload kubeconfig file
Synchronous call to upload kubeconfig file on orchestrator node.This will be used to connect with Kubernetes cluster.
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: POST https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/kubeconfig Successful Response:
Example Response: { "bundle_id" : "22000123456" } Required Permissions: Feature: policy_napp Additional Errors:
Get information about kubeconfig file
To get more information about kubeconfig file likeuser, cluster, context, namespace etc.
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/kubeconfig Successful Response:
Example Response: { "bundle_id" : "22000123456", "name": "kubeconfigfile.xyz", "user": "user1", "current_context": "context1", "namespace": "ns1", "cluster": "cluster1", "expiry": "n days", "server": "https://10.161.72.163:6443", "connection_status": True } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Kubernetes
NSX Application Platform: Kubernetes: Tools
Get information about Kubernetes tools
To show information about Kubernetes tools version. It will list kubectlclient version, kube-apiserver version. Also show, whether kubectl client
version is compatible with kube-apiserver version.kubectl is supported
within one minor version (older or newer) of kube-apiserver.
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/kubernetes-tools Successful Response:
Example Response: { "client_version": "v1.19.3", "server_version": "v1.17.8", "compatible": False } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Platform
NSX Application Platform: Platform: Host Agent
Get NSX Application Platform Common Agent host configuration
Get the current NSX Application Platform Common Agent host configuration.Recommend to keep the value same for flow_data_collection_interval
and context_data_collection_interval.
Request:
Example Request: GET https://<policy-mgt>/api/v1/infra/napp/common-agent/host-config Successful Response:
Example Response: { "kafka_endpoint": [ { "address": "127.0.0.1", "port": 9092 } ], "kafka_certificate": "pem-encoded-cert-value", "ingress_endpoint": [ { "address": "127.0.0.1", "port": 9092 } ], "ingress_certificate": "pem-encoded-cert-value", "truststore": "pem-encoded-cert-value", "nsx_cluster_id": "cluster-id-string", "private_ip_range": [ { "address_type": "IPV4", "address": "10.0.0.0", "prefix_length": 8 }, { "address_type": "IPV4", "address": "172.16.0.0", "prefix_length": 12 }, { "address_type": "IPV4", "address": "192.168.0.0", "prefix_length": 16 } ], } Required Permissions: Feature: policy_napp Additional Errors:
Patch NSX Application Platform Common Agent host configuration
Patch the current NSX Application Platform Common Agent host configuration.Return error if NSX Application Platform Common Agent is not registered with NSX.
"private_ip_range" is the only field allowed to patch.
Request:
Example Request: PATCH https://<policy-mgt>/api/v1/infra/napp/common-agent/host-config { "private_ip_range": [ { "address_type": "IPV4", "address": "10.10.0.0", "prefix_length": 8 }, { "address_type": "IPV4", "address": "172.18.0.0", "prefix_length": 12 }, { "address_type": "IPV4", "address": "192.169.0.0", "prefix_length": 16 } ] } Successful Response:
Example Response: { "kafka_endpoint": [ { "address": "127.0.0.1", "port": 9092 } ], "kafka_certificate": "pem-encoded-cert-value", "ingress_endpoint": [ { "address": "127.0.0.1", "port": 9092 } ], "ingress_certificate": "pem-encoded-cert-value", "truststore": "pem-encoded-cert-value", "nsx_cluster_id": "cluster-id-string", "private_ip_range": [ { "address_type": "IPV4", "address": "10.10.0.0", "prefix_length": 8 }, { "address_type": "IPV4", "address": "172.18.0.0", "prefix_length": 12 }, { "address_type": "IPV4", "address": "192.169.0.0", "prefix_length": 16 } ] } Required Permissions: Feature: policy_napp Additional Errors:
Reset NSX Application Platform Common Agent host configuration
Reset NSX Application Platform Common Agent host configuration to the default setting.Clear NSX Application Platform Common Agent host configuration if NSX Application Platform Common Agent is not registered with NSX.
Return the NSX Application Platform Common Agent host configuration after reset operation.
Request:
Example Request: POST https://<policy-mgt>/api/v1/infra/napp/common-agent/host-config?action=reset Successful Response:
Example Response: { "kafka_endpoint": [ { "address": "127.0.0.1", "port": 9092 } ], "kafka_certificate": "pem-encoded-cert-value", "ingress_endpoint": [ { "address": "127.0.0.1", "port": 9092 } ], "ingress_certificate": "pem-encoded-cert-value", "truststore": "pem-encoded-cert-value", "nsx_cluster_id": "cluster-id-string", "private_ip_range": [ { "address_type": "IPV4", "address": "10.0.0.0", "prefix_length": 8 }, { "address_type": "IPV4", "address": "172.16.0.0", "prefix_length": 12 }, { "address_type": "IPV4", "address": "192.168.0.0", "prefix_length": 16 } ] } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Platform: Tools: Bundle
NSX Application Platform: Platform: Tools: Bundle: Upload
Upload the Kubernetes tools on NSX Manager via File
Synchronous call to upload the Kubernetes tools on NSX Manager via File.You need to get this file from VMware website.
File will contains kubectl binary, helm binary and signature to verify them.
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
Example Request: POST https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/tools/upload Successful Response:
Example Response: { "bundle_id" : "22000123456" } Required Permissions: Feature: policy_napp Additional Errors:
NSX Application Platform: Registration
Get all registered NSX Application Platforms
Get all registered NSX Application Platforms.Request:
Example Request: GET https://<nsx-mgr>/policy/api/v1/infra/sites/napp/registration Successful Response:
Example Response: { "napp_registration_results": [ { "cluster_id": "12f563af-af9f-48f3-848e-e9257c8740b0", "cluster_name": "NSX Application Platform", "message_bus_ip_address": "10.33.76.94", "ingress_ip_address": "10.33.76.80", "status": "DEPLOYMENT_SUCCESSFUL" } ] } Required Permissions: Feature: nsx_intelligence_cluster_node_deployment Additional Errors:
Get a registered NSX Application Platform as specified
Get the registered NSX Application Platform as specified.Request:
Example Request: GET https://<nsx-mgr>/policy/api/v1/infra/sites/napp/registration/12f563af-af9f-48f3-848e-e9257c8740b0 Successful Response:
Example Response: { "cluster_id": "12f563af-af9f-48f3-848e-e9257c8740b0", "cluster_name": "NSX Application Platform", "message_bus_ip_address": "10.33.76.94", "ingress_ip_address": "10.33.76.80", "status": "DEPLOYMENT_SUCCESSFUL" } Required Permissions: Feature: nsx_intelligence_cluster_node_deployment Additional Errors:
NSX Application Platform: Upgrade: Coordinator
NSX Application Platform: Upgrade: Coordinator: Config
Get upgrade coordinator deployment configuration
Get input parameters required to deploy upgrade-coordinator. This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:Example Request: GET https://<policy-mgr>/policy/api/v1/infra/sites/default/napp/deployment/upgrade-coordinator Successful Response:
Example Response: { "resource_type": "UpgradeCoordinatorDeploymentConfig", "id": "upgrade-coordinator-deployment-config", "kubeconfig_info" : { "name": "kubeconfigfile.xyz", "user": "test", "cluster": "cluster1", "namespace" : "nsxi" }, "parent_path" : "/infra/sites/
Update upgrade-coordinator configuration
Update input parameter require to deploy upgrade-coordinator related pods.Advanced configuraion option on UI has option to deploy kubernetes tools.
You need to get this file from VMware website.
File contains kubectl binary, helm binary and signature to verify them.
This API is available when using VMware Cloud (AWS, Dell-EMC, Outpost, Hyperscalers) or VMware NSX. Request:
[...]
